reset

set term postscript color solid "Helvetica" 18
#set term postscript eps color solid
set out "sp_en.ps"
#set out "sp_cz.ps"

# Just change the following number F (latitude) here and in the title below
#  to get a diagram for another northern latitude:
F=49.5

#EN
set title "Path of the Sun at 50 degrees latitude (like in Prague)" \
#   0,3  font "Helvetica,16"
#CZ
##set title "Cesty Slunce po eskm nebi"  "Arial-Medium,24"


set grid mxtics xtics ytics
set xtics 20
set mxtics 2
set ytics 10
set lmargin 7
set rmargin 3
set tmargin 1
set bmargin 3
set param
set size ratio -1 2,0.9
set line 1 lw 3
set line 2 lw 3
set line 3 lw 3



R=pi/180
F=F*R
HR=R*15
D=23.4*R
SD(D)=sin(D)
SF=sin(F)
CD(D)=cos(D)
CF=cos(F)
SFD(D)=SD(D)*SF
CFD(D)=CD(D)*CF

CT(t)=cos(t*HR)
CZ(t)=SFD(D)+CFD(D)*CT(t)
SZ(t)=sqrt(1-CZ(t)**2)
SA(t)=CD(D)*sin(t*HR)/SZ(t)

CA(t)=(CD(D)*CT(t)-CF*CZ(t))/(SF*SZ(t))

LH(D)=87+(D-F)/R
LH1(D)=88+(D-F)/R

set multiplot


#set xlabel "Azimuth / 1 degree; East is -90, South 0, West 90"

#EN
set label "South" at  0,-8 center 
set label "East" at -90,-8 center
set label "West" at  90,-8 center
#CZ
##set label "jih"    at   0,-8 center font "Arial-Medium,20"
##set label "vchod" at -90,-8 center font "Arial-Medium,20"
##set label "zpad"  at  90,-8 center font "Arial-Medium,20"

#set label "(plotted by Gnuplot with a script by Jenik Hollan)" \
#	    at 0,78 center font "Helvetica,9"  

#EN
set ylabel "Angular height / 1 degree" 0.5,0
#CZ
##set ylabel "hlov vka / 1 stupe" 0.5,0  "Arial-Medium,20"


set label  "21.6." at 0,LH(D)+5 center font "Helvetica,16"
D=-23.4*R
set label  "21.12." at 0,LH1(D) center font "Helvetica,16"
D=0
set label "20.3., 22.9." at 0,LH(D) center font "Helvetica,16"
D=-20.2*R
set label "20.1., 22.11." at 0,LH1(D)+0.4 center font "Helvetica,16"
D=20.2*R
set label "20.5., 22.7." at 0,LH(D) center font "Helvetica,16"
D=-11.5*R
set label "18.2., 23.10." at 0,LH(D) center font "Helvetica,16"
D=11.5*R
set label "20.4., 23.8." at 0,LH(D) center font "Helvetica,16" 

D=23.4*R
#plot [-9:9] [-140:140] [0:70] asin(SA(t))/R, 90-(asin(SZ(t))/R)
plot [-9:0] [-140:140] [0:70] \
  acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 1 , \
 -acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 1

set nolabel

set xlabel
set ylabel
set nogrid
set noxtics
set noytics

D=20.2*R
replot

D=11.5*R
plot [-9:0] [-140:140] [0:70] \
  acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 2 , \
 -acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 2

D=0
replot

D=-11.5*R
plot [-9:0] [-140:140] [0:70] \
  acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 3 , \
 -acos(CA(t))/R, 90-(acos(CZ(t))/R) notitle ls 3

D=-20.2*R
replot

D=-23.4*R
replot 

 
set nomultiplot

